package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;

public class SubstanceIdentifier implements Serializable {
	private static final long serialVersionUID = 1L;


	private String id;

	private String value;

	private String codingSystemName;
	

	private CodingSystem codingSystem;


	private SubstanceDetail substanceDetail;	
			
	public SubstanceIdentifier() {
		super();
	}

	
	
	public SubstanceIdentifier(String value, String codingSystemName) {
		super();
		this.value = value;
		this.codingSystemName = codingSystemName;
	}



	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public CodingSystem getCodingSystem() {
		return codingSystem;
	}

	public void setCodingSystem(CodingSystem codingSystem) {
		this.codingSystem = codingSystem;
	}

	public SubstanceDetail getSubstanceDetail() {
		return substanceDetail;
	}

	public void setSubstanceDetail(SubstanceDetail substanceDetail) {
		this.substanceDetail = substanceDetail;
	}

	public String getCodingSystemName() {
		return codingSystemName;
	}

	public void setCodingSystemName(String codingSystemName) {
		this.codingSystemName = codingSystemName;
	}

}